Summary:	A simple set of tools to help you author a DVD
Name:		dvdauthor
Version:	0.6.14
Release:	%mkrel 9
License:	GPL
Group:		Video
Url:		http://dvdauthor.sourceforge.net/
Source0:	http://downloads.sourceforge.net/dvdauthor/dvdauthor-%{version}.tar.gz
Patch0:		dvdauthor-imagemagick-6.3.8.5.diff
BuildRequires:	libxml2-devel >= 2.6.0
BuildRequires:	freetype2-devel
BuildRequires:	fribidi-devel
BuildRequires:	bison flex
BuildRequires:	png-devel
BuildRequires:	zlib-devel
BuildRequires:	imagemagick-devel
BuildRequires:	libdvdread-devel
BuildRoot:	%{_tmppath}/%{name}-%{version}-buildroot

%description
A simple set of tools to help you author a DVD. The idea is to be able to
create menus, buttons, chapters, etc. But for now you can just take an mpeg
stream  (as created by mplex -f 8 from mjpegtools 1.6.0) and write it to DVD.

%prep

%setup -q
%patch0 -p1

# anti auto recheck hack
touch *

%build
%configure2_5x \
	--disable-rpath
%make

%install
[ "%{buildroot}" != "/" ] && rm -rf %{buildroot}

%makeinstall_std

%clean
[ "%{buildroot}" != "/" ] && rm -rf %{buildroot}

%files
%defattr(644,root,root,755)
%attr(755,root,root) %{_bindir}/dvd*
%attr(755,root,root) %{_bindir}/mpeg2desc
%attr(755,root,root) %{_bindir}/spu*
%{_mandir}/man1/*
%{_datadir}/%{name}


%changelog
* Wed Jan 28 2009 Götz Waschk <waschk@mandriva.org> 0.6.14-9mdv2009.1
+ Revision: 335005
- rebuild for new libmagick

* Mon Sep 01 2008 Götz Waschk <waschk@mandriva.org> 0.6.14-8mdv2009.0
+ Revision: 278246
- rebuild for new libdvdread

* Thu Jul 24 2008 Thierry Vignaud <tvignaud@mandriva.com> 0.6.14-7mdv2009.0
+ Revision: 244562
- rebuild

* Thu Feb 14 2008 Oden Eriksson <oeriksson@mandriva.org> 0.6.14-5mdv2008.1
+ Revision: 167713
- fix build
- added a patch to make it compile
- rebuilt against new imagemagick libs

* Tue Jan 08 2008 Oden Eriksson <oeriksson@mandriva.org> 0.6.14-4mdv2008.1
+ Revision: 146497
- rebuilt against new imagemagick libs (6.3.7)

  + Olivier Blin <oblin@mandriva.com>
    - restore BuildRoot

  + Thierry Vignaud <tvignaud@mandriva.com>
    - kill re-definition of %%buildroot on Pixel's request

* Thu Jun 07 2007 Anssi Hannula <anssi@mandriva.org> 0.6.14-3mdv2008.0
+ Revision: 36143
- rebuild with correct optflags

* Mon May 07 2007 Herton Ronaldo Krzesinski <herton@mandriva.com.br> 0.6.14-1mdv2008.0
+ Revision: 24817
- Updated to 0.6.14.


* Sat Feb 24 2007 Emmanuel Andry <eandry@mandriva.org> 0.6.13-2mdv2007.0
+ Revision: 125334
- rebuild for latest ImageMagick

* Fri Feb 09 2007 Tomasz Pawel Gajc <tpg@mandriva.org> 0.6.13-1mdv2007.1
+ Revision: 118333
- Import dvdauthor

